complexType "QuotedCurrencyPair"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 9 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | currency1, currency2, quoteBasis
</...>

Content Model Elements (3):

  currency1, currency2, | quoteBasis (defined in QuotedCurrencyPair complexType)

Known Direct Subtypes (1):

  CrossRate

All Direct / Indirect Based Elements (9):

  crossRate,
  quotedCurrencyPair (defined in FxBarrierFeature complexType),
  quotedCurrencyPair (defined in FxRate complexType),
  quotedCurrencyPair (in exchangeRate),
  quotedCurrencyPair (in fixing),
  quotedCurrencyPair (in fx),
  quotedCurrencyPair (in fxCurve),
  quotedCurrencyPair (in touch),
  quotedCurrencyPair (in trigger in fxDigitalOption)

Known Usage Locations

- In derivations of other global types (1):
  CrossRate (as extension base)
- As direct type of elements (8):
  quotedCurrencyPair (defined in FxBarrierFeature complexType),
  quotedCurrencyPair (defined in FxRate complexType),
  quotedCurrencyPair (in exchangeRate),
  quotedCurrencyPair (in fixing),
  quotedCurrencyPair (in fx),
  quotedCurrencyPair (in fxCurve),
  quotedCurrencyPair (in touch),
  quotedCurrencyPair (in trigger in fxDigitalOption)

Annotation
A type that describes the composition of a rate that has been quoted or is to be quoted. This includes the two currencies and the quotation relationship between the two currencies and is used as a building block throughout the FX specification.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="QuotedCurrencyPair"> <xsd:sequence> <xsd:element name="currency1" type="Currency"/> <xsd:element name="currency2" type="Currency"/> <xsd:element name="quoteBasis" type="QuoteBasisEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
currency1

  Type: | Currency, simple content

  The first currency specified when a pair of currencies is to be evaluated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="currency1" type="Currency"/>

currency2

  Type: | Currency, simple content

  The second currency specified when a pair of currencies is to be evaluated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="currency2" type="Currency"/>

quoteBasis

  Type: | QuoteBasisEnum, simple content

  The method by which the exchange rate is quoted.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Currency1PerCurrency2" | - | The amount of currency1 for one unit of currency2 See: http://www.FpML.org
  "Currency2PerCurrency1" | - | The amount of currency2 for one unit of currency1 See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="quoteBasis" type="QuoteBasisEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.